commit:     4ea045cbb3a78f6f86e351fd1ea6db19c3f4a6d4
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 17:26:44 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 17:33:24 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ea045cb

dev-python/botocore: add version 1.4.10

Package-Manager: portage-2.2.28

 dev-python/botocore/Manifest               |  1 +
 dev-python/botocore/botocore-1.4.10.ebuild | 54 ++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index faa0505..715c264 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
 DIST botocore-1.3.22.tar.gz 2349601 SHA256 
02a6d320b09179bc5dcbafd4be732d9431bfebf5bed6d6b6508eca96b599a399 SHA512 
7b349a78c83051a29993ce00a11ecfa4734425c3ed27ce3e405140e19017b5c670d857ea489ea1f6f3ec767b3e4704547565b2ec67f5d7001a0cc30ff2a39de7
 WHIRLPOOL 
98c5e7488c6d1fe5c3e3484c770f8b346508359c5d174e5660f10ea62b054f442e3d15cc716ddd5acc42f1af0a10463c1923de138338175f1dcba9ced283c8ee
+DIST botocore-1.4.10.tar.gz 2453883 SHA256 
f0b740d07cf7b7a4ec08cafdf9db8cfd813d2d69bde1e7de0cffc50bf075aa4b SHA512 
51009ad6abc1f413e9dbeea52207c96df7d1647a6da8f0139e7557e36a3ad0fa440d32f430f5d7f690f0ec70b9c114ac1544c6fcddc8080acf5f2fa14bc5d1db
 WHIRLPOOL 
c9bc19adae6f7c4eceb33e448e717f41639fbc9126a07c6f511ccf958ace98fcbea54f0dddd2e928b4435fc3abfdd8b4da745b05227fd7397de89448e411e32b
 DIST botocore-1.4.7.tar.gz 2422444 SHA256 
0c39162434ef65f16eb0ee1e1ef1e809cc2927b0ed89f437e1609834868aa469 SHA512 
7c280064fdfcc74a29cd39bc48279453893350430c65a355a247d1fac6bf8fd36a377144ac0232e081f4a14120348a61d57cd1dc7cd114658fd4742d4ecedfae
 WHIRLPOOL 
1a0753e37047958208655476684ade71d280bad9f473c04c714cd78f08f0fca0e3e8a3599fb59c0c2d6d58c22a4690799e3548789010590856fc31d5d45c15e7
 DIST botocore-1.4.8.tar.gz 2445498 SHA256 
47bcd9bdcde8661f79a031da68f21bd86cc5ecf07cec5cd1de0af114911d1806 SHA512 
80d87b70eb2d70ace91e95746cb9e15f4435e12d141769764a7f82fbb03a1ce2c85266cee93499ee26f343bfcc700dfde7e6e5ec3af9b8ab0a99a8cb9997d61c
 WHIRLPOOL 
7b39ad4e451fcd4ed2b58da709474983be9305c4e4b15ca42ea1c46aa5f4874edc7472cb5b6935dec6d356b3e693658168940f82645ff95396264eec72e904ac

diff --git a/dev-python/botocore/botocore-1.4.10.ebuild 
b/dev-python/botocore/botocore-1.4.10.ebuild
new file mode 100644
index 0000000..9c57e33
--- /dev/null
+++ b/dev-python/botocore/botocore-1.4.10.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3."
+HOMEPAGE="https://github.com/boto/botocore";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="
+       >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       <dev-python/jmespath-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+       <dev-python/python-dateutil-3.0.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               >=dev-python/guzzle_sphinx_theme-0.7.10[${PYTHON_USEDEP}]
+               <dev-python/guzzle_sphinx_theme-0.8[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.3[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+       )
+       test? (
+               ${CDEPEND}
+               ~dev-python/mock-1.0.1[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests tests/unit || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to